use serde_json::{self, Map};

pub fn get_json_object(obj: &serde_json::Value) -> &Map<String, serde_json::Value> {
    match obj {
        serde_json::Value::Null => panic!("Unexpected json type"),
        serde_json::Value::Bool(_) => panic!("Unexpected json type"),
        serde_json::Value::Number(_) => panic!("Unexpected json type"),
        serde_json::Value::String(_) => panic!("Unexpected json type"),
        serde_json::Value::Array(_) => panic!("Unexpected json type"),
        serde_json::Value::Object(event_object) => event_object,
    }
}

pub fn get_json_string(str: &serde_json::Value) -> &String {
    match str {
        serde_json::Value::Null => panic!("Unexpected json type"),
        serde_json::Value::Bool(_) => panic!("Unexpected json type"),
        serde_json::Value::Number(_) => panic!("Unexpected json type"),
        serde_json::Value::String(txt) => txt,
        serde_json::Value::Array(_) => panic!("Unexpected json type"),
        serde_json::Value::Object(_) => panic!("Unexpected json type"),
    }
}
